---
title: bpytop
description: 
published: true
date: 2024-03-09T03:10:22.501Z
tags: 
editor: markdown
dateCreated: 2024-03-09T02:08:03.126Z
---

# Troubleshooting

## Fix the graphs

- [Reference *bpytop README*](https://github.com/aristocratos/bpytop#notice-text-rendering-issues)
{.links-list}

The graph drawing uses the [Braille Patterns](https://en.wikipedia.org/wiki/Braille_Patterns) Unicode block to simulate filled regions in line graphs, but if the font that your terminal emulator is using includes the unused dots in the characters as open holes, the result will look something like this:

![Example of unwanted noise around braille characters](https://user-images.githubusercontent.com/2494154/91738096-4acde380-ebb0-11ea-8b31-7d6b1a07901b.png)

Here are some ways to fix that on Arch Linux:

### Tabs {.tabset}

#### Method 1: remove `gnu-free-fonts`

When some package requires `ttf-font`, this package usually gets chosen. However, the fonts are kind of ass, so as long as you have another package that provides `ttf-font`, you're ok to remove `gnu-free-fonts`


#### Method 2: Install an overriding font

Sometimes you can find font packages that come pre-configured as preferential, and also cover the target glyphs. Some examples:

- `ttf-dejavu`


I'll add to this list when I find more that work like this out of the box


#### Method 3: Explicitly configure font fallbacks

Start by identifying a font that you want to use, and covers the braille characters, then set that as a default or fallback font per [these instructions from the Arch Wiki](https://wiki.archlinux.org/title/Font_configuration#Set_default_or_fallback_fonts)